Package com.io7m.idstore.server.internal.freemarker

# Record Class IdFMEmailPasswordResetData

java.lang.Object
java.lang.Record
com.io7m.idstore.server.internal.freemarker.IdFMEmailPasswordResetData

Record Components:
  `productTitle` - The product title
  `reset` - The reset
  `host` - The host
  `userAgent` - The user agent
  `linkConfirm` - The link to confirm and select a new password

All Implemented Interfaces:
  `IdFMDataModelType`

public record IdFMEmailPasswordResetData(String productTitle, IdUserPasswordReset reset, String host, String userAgent, URI linkConfirm) extends Record implements IdFMDataModelType
Data for email password reset templates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdFMEmailPasswordResetData(String productTitle, IdUserPasswordReset reset, String host, String userAgent, URI linkConfirm)`
  Data for email password reset templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `host()`
  Returns the value of the `host` record component.
  `URI`
  `linkConfirm()`
  Returns the value of the `linkConfirm` record component.
  `String`
  `productTitle()`
  Returns the value of the `productTitle` record component.
  `IdUserPasswordReset`
  `reset()`
  Returns the value of the `reset` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `Map<String,Object>`
  `toTemplateHash()`
  `String`
  `userAgent()`
  Returns the value of the `userAgent` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdFMEmailPasswordResetData

    public IdFMEmailPasswordResetData(String productTitle, IdUserPasswordReset reset, String host, String userAgent, URI linkConfirm)
    Data for email password reset templates.
    Parameters:
      `productTitle` - The product title
      `reset` - The reset
      `host` - The host
      `userAgent` - The user agent
      `linkConfirm` - The link to confirm and select a new password

- ## Method Details

  - ### toTemplateHash

    public Map<String,Object> toTemplateHash()
    Specified by:
      `toTemplateHash` in interface `IdFMDataModelType`
    Returns:
      The data as a freemarker template hash

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### productTitle

    public String productTitle()
    Returns the value of the `productTitle` record component.
    Returns:
      the value of the `productTitle` record component

  - ### reset

    public IdUserPasswordReset reset()
    Returns the value of the `reset` record component.
    Returns:
      the value of the `reset` record component

  - ### host

    public String host()
    Returns the value of the `host` record component.
    Returns:
      the value of the `host` record component

  - ### userAgent

    public String userAgent()
    Returns the value of the `userAgent` record component.
    Returns:
      the value of the `userAgent` record component

  - ### linkConfirm

    public URI linkConfirm()
    Returns the value of the `linkConfirm` record component.
    Returns:
      the value of the `linkConfirm` record component